<?php
require_once('include/cartoon.inc.php');

$date = $_GET['date'];
$today = date("Y-m-d");

/* Redirect to a proper date. */
if(date("Y-m-d", strtotime($date)) != $date)
	header("Location: /$today");

echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"\n"
	."\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\" lang=\"en\">\n";
?>
<head>
	<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
	<title>The Cartoon Page - <?php echo $date; ?></title>
	<link rel="stylesheet" href="/include/style.css"></link>
</head>
<body>
<?php
$historydir = 'history/';
$historydirid = @opendir($historydir);

if($historydirid != false) {
	$links[0] = $today;
	$day_before = time() - 86400;

	/* Try to get up to 14 entries, in case some days were skipped. */
	for ($i = 0; $i < 14; $i++) {
		if(is_dir($historydir.date("Y-m-d", $day_before - ($i * 86400))))
			$links[] = date("Y-m-d", $day_before - ($i * 86400));
	}

	$links[] = rsort($links);

	/* Print a link to today, and 6 previous pages with cartoons. */
	echo "<table class=\"header\"><tr>\n";
	for($i = 0; $i < 7; ++$i) {
		echo "<td class=\"headeritem\">\n";
		echo "<a href=\"/".$links[$i]."\" class=\"headeritem\">".$links[$i]."</a>\n";
		echo "</td>\n";
	}
	echo "</tr></table>\n<div><br /></div>\n";

	closedir($historydirid);
} else {
	echo "<p class=\"error\">Could not open history directory, not any history yet?</p>\n";
}

if($date == $today)
	$toondir = "today/";
else
	$toondir = "history/$date/";

$cartoons = new cartoons;

if ($cartoons->add_toons($toondir) != false) {
	$cartoons->sort_toons();
	$cartoons->print_toons();
} else {
	echo "<p class=\"error\">Could not open the cartoons directory, valid date?</p>\n";
}

?>

</body>
</html>
